Job Operations With Dependencies

The job operations with dependencies resource.

Basehttps://rest.carbon.ms/jobOperationsWithDependencies
GET/jobOperationsWithDependencies

List job operations with dependenciess

Retrieve a paginated list of job operations with dependenciess. Filter, order, and select columns with PostgREST query parameters.

Query parameters

selectstring

Comma-separated columns to return. Defaults to all.

orderstring

Column to sort by, e.g. `createdAt.desc`.

limitinteger

Maximum rows to return.

offsetinteger

Rows to skip, for pagination.

GEThttps://rest.carbon.ms/jobOperationsWithDependencies
curl --request GET \
  --url 'https://rest.carbon.ms/jobOperationsWithDependencies?select=*&limit=10' \
  --header 'Authorization: Bearer <api-key>'
Response
[
  {
    "id": "abc123def456",
    "jobId": "xyz789",
    "jobMakeMethodId": "xyz789",
    "order": 0,
    "processId": "xyz789",
    "workCenterId": "xyz789",
    "description": "string",
    "setupTime": 0
  }
]
GET/jobOperationsWithDependencies

Retrieve a job operations with dependencies

Fetch a single job operations with dependencies by filtering on `id`.

Query parameters

idstring

Match on the job operations with dependencies's `id`, e.g. `eq.{id}`.

GEThttps://rest.carbon.ms/jobOperationsWithDependencies
curl --request GET \
  --url 'https://rest.carbon.ms/jobOperationsWithDependencies?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
Response
{
  "id": "abc123def456",
  "jobId": "xyz789",
  "jobMakeMethodId": "xyz789",
  "order": 0,
  "processId": "xyz789",
  "workCenterId": "xyz789",
  "description": "string",
  "setupTime": 0
}
POST/jobOperationsWithDependencies

Create a job operations with dependencies

Create a new job operations with dependencies.

Body parameters

jobIdstring

References job.id

jobMakeMethodIdstring

References jobMakeMethod.id

ordernumber
processIdstring

References process.id

workCenterIdstring

References workCenter.id

descriptionstring
setupTimenumber
setupUnitstring
laborTimenumber
laborUnitstring
machineTimenumber
machineUnitstring
operationOrdermethodOperationOrder
laborRatenumber
overheadRatenumber
machineRatenumber
operationTypeoperationType
operationMinimumCostnumber
operationLeadTimenumber
operationUnitCostnumber
operationSupplierProcessIdstring
workInstructionobject
companyIdstring

References company.id

customFieldsobject
operationQuantitynumber
quantityCompletenumber
quantityScrappednumber
quantityReworkednumber
statusjobOperationStatus
prioritynumber
assigneestring

References user.id

tagsarray
procedureIdstring

References procedure.id

startDatedate
dueDatedate
dependenciesarray
POSThttps://rest.carbon.ms/jobOperationsWithDependencies
curl --request POST \
  --url https://rest.carbon.ms/jobOperationsWithDependencies \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"description":"string"}'
Response
{
  "id": "abc123def456",
  "jobId": "xyz789",
  "jobMakeMethodId": "xyz789",
  "order": 0,
  "processId": "xyz789",
  "workCenterId": "xyz789",
  "description": "string",
  "setupTime": 0
}
PATCH/jobOperationsWithDependencies

Update a job operations with dependencies

Update an existing job operations with dependencies, matched on `id`.

Body parameters

jobIdstring

References job.id

jobMakeMethodIdstring

References jobMakeMethod.id

ordernumber
processIdstring

References process.id

workCenterIdstring

References workCenter.id

descriptionstring
setupTimenumber
setupUnitstring
laborTimenumber
laborUnitstring
machineTimenumber
machineUnitstring
operationOrdermethodOperationOrder
laborRatenumber
overheadRatenumber
machineRatenumber
operationTypeoperationType
operationMinimumCostnumber
operationLeadTimenumber
operationUnitCostnumber
operationSupplierProcessIdstring
workInstructionobject
companyIdstring

References company.id

customFieldsobject
operationQuantitynumber
quantityCompletenumber
quantityScrappednumber
quantityReworkednumber
statusjobOperationStatus
prioritynumber
assigneestring

References user.id

tagsarray
procedureIdstring

References procedure.id

startDatedate
dueDatedate
dependenciesarray
PATCHhttps://rest.carbon.ms/jobOperationsWithDependencies
curl --request PATCH \
  --url 'https://rest.carbon.ms/jobOperationsWithDependencies?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"jobId":"xyz789"}'
Response
{
  "id": "abc123def456",
  "jobId": "xyz789",
  "jobMakeMethodId": "xyz789",
  "order": 0,
  "processId": "xyz789",
  "workCenterId": "xyz789",
  "description": "string",
  "setupTime": 0
}
DELETE/jobOperationsWithDependencies

Delete a job operations with dependencies

Delete a job operations with dependencies, matched on `id`. Returns 204 No Content.

Query parameters

idstring

The `id` of the job operations with dependencies to delete, e.g. `eq.{id}`.

DELETEhttps://rest.carbon.ms/jobOperationsWithDependencies
curl --request DELETE \
  --url 'https://rest.carbon.ms/jobOperationsWithDependencies?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
204 No Content